Bug Hunting Session
Bug 71499 - EDITING: Deleting of a Paragraph Above a Table of Contents is not Possible if Table is protected
Summary: EDITING: Deleting of a Paragraph Above a Table of Contents is not Possible if...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: TableofContents-Indexes
  Show dependency treegraph
 
Reported: 2013-11-11 15:13 UTC by Harald Koester
Modified: 2019-11-09 03:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2013-11-11 15:13:59 UTC
Problem description: 

Steps to reproduce:
[1] Open a new text document.
[2] Enable option “LibreOffice Writer → Formatting Aids → Cursor in protected areas“.
[3] Type in a word, then Enter.
[4] Insert a heading.
[5] Insert a protected (against manual changes) table of contents between the 2 paragraphs.
[6] Now you can delete the word in the first line, but not the line as a whole (paragraph break).

Expected behaviour: With “Del“ it should be possible to delete the paragraph above the table of contents.

Hint: I assume that the behaviour is equal with other indexes or tables which can be protected against manual changes, but I did not check it.
Operating System: Windows 7
Version: 4.1.2.3 release
Comment 1 Robert Großkopf 2013-11-11 18:02:34 UTC
I have tested this. I have protected the cells in the table I created after the first paragraph. Then tried to remove te first oaragraph.
It works in LO 4.0.0.0.beta2 and all version LO 3.*. It doesn't work since LO 4.0.0.1. So I set the first version as 4.0.0.1rc. It's also the same in LO 4.2.0.0 from 2013-11-07.
I have tested with OpenSuSE 12.3 64bit Linux. So I set the platform to all.
Comment 2 Robert Großkopf 2013-11-11 20:03:56 UTC
(In reply to comment #1)
> I have tested this. I have protected the cells in the table I created after
> the first paragraph. Then tried to remove te first oaragraph.
> It works in LO 4.0.0.0.beta2 and all version LO 3.*. It doesn't work since
> LO 4.0.0.1. So I set the first version as 4.0.0.1rc. It's also the same in
> LO 4.2.0.0 from 2013-11-07.
> I have tested with OpenSuSE 12.3 64bit Linux. So I set the platform to all.

I must correct myself. While testing I had disabled option “LibreOffice Writer → Formatting Aids → Cursor in protected areas“.
When it is enabled I can't confirm this bug. Also the version is wrong. Works with all versions on my system as expected.
Comment 3 Harald Koester 2013-11-14 22:56:50 UTC
Hi Robert,

(In reply to comment #2)
> > I have tested this. I have protected the cells in the table I created after
> > the first paragraph. Then tried to remove te first oaragraph.

> When it is enabled I can't confirm this bug. Also the version is wrong.
> Works with all versions on my system as expected.

I'm sorry, but it seemed to me, that you tested it with a table and not with a "Table of contents". If so the behaviour is OK. But with a Table of Contents it's still not OK for me.
Comment 4 sophie 2014-01-08 14:23:16 UTC
Confirmed with Version: 4.2.0.1
Build ID: 7bf567613a536ded11709b952950c9e8f7181a4a Ubuntu 13.10- Changed plateform to all, set to New - Sophie
Comment 5 Joel Madero 2015-05-02 15:43:04 UTC Comment hidden (obsolete)
Comment 6 Harald Koester 2015-05-12 09:53:05 UTC
Checked with versions 4.4.3 and 3.3.0 with Win7. Bug exists in both versions.
Comment 7 Xisco Faulí 2017-09-29 08:51:38 UTC Comment hidden (obsolete)
Comment 8 Harald Koester 2017-11-02 10:32:41 UTC
Checked with version 5.4.2 (64 Bit, Win 10). Bug still exists.

The name of the option has changed a bit: "... Formatting Aids > Protected Areas > Enable cursor"
Comment 9 QA Administrators 2018-11-03 03:50:16 UTC Comment hidden (obsolete)
Comment 10 Harald Koester 2018-11-08 09:43:47 UTC
Bug still exists in version 6.1.3. (64 bit, Win 10)
Comment 11 QA Administrators 2019-11-09 03:53:02 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug